Loading...
Searching...
No Matches
pdumodel::OverCurrentProtectorTripSensor::TripStateChangedEvent Struct Reference

Event: Overcurrent protector trip state has changed. More...

Inheritance diagram for pdumodel::OverCurrentProtectorTripSensor::TripStateChangedEvent:

## Public Attributes

Outlet | tripCause
| Outlet that is most likely to have caused the OCP to trip. More...
TripEventInformation | tripInformation
| Information about the event that caused a trip event.

## Detailed Description

Event: Overcurrent protector trip state has changed.

## Member Data Documentation

## tripCause

Outlet pdumodel::OverCurrentProtectorTripSensor::TripStateChangedEvent::tripCause

Outlet that is most likely to have caused the OCP to trip.

Deprecated, use the tripInformation field instead.

The documentation for this struct was generated from the following file:

- OverCurrentProtectorTripSensor.idl